Dienstag, 23. Oktober 2018, 21:42 UTC+2

Sie sind nicht angemeldet.

  • Anmelden
  • Registrieren

pit2

Profi

Registrierungsdatum: 16. Februar 2005

Beiträge: 183

1

Donnerstag, 19. September 2013, 14:50

TWS.ocx und RTT

Neue Variante zum Dauerbrenner.

- Win7 Pro/64
- RTT 2.10.5
- TWS 939.3
- API 969.03

Ich habe es mit C++ Redist 2005 und 2012 versucht, beides in 64bit. Dann mit Redist 2005 in 32 bit, Auch nix.

Hab ich im Forum die Lösung übersehen oder ist diese Kombi noch nicht erforscht?

Bin dankbar für jeden Hinweis.

Liebe Grüße

Pit
www.pitsweekly.com

pit2

Profi

Registrierungsdatum: 16. Februar 2005

Beiträge: 183

2

Freitag, 20. September 2013, 09:17

Ein Teilerfolg durch downgrade jeweils der TWS und API Versionen. Jetzt startet RTT immerhin, konnektiert sich auch ("US data farm OK"), zeichnet aber nichts auf: (Fehlermeldung "Delta neutral orders.....") obwohl ich keine order am laufen habe.

Ich versuche jetzt mal die nächst höhere Version der TWS API (963.03).
www.pitsweekly.com

pit2

Profi

Registrierungsdatum: 16. Februar 2005

Beiträge: 183

3

Freitag, 20. September 2013, 09:24

OK. Das wars. RTT läuft nun einwandfrei.

Nochmal der Weg:
  1. RTT
  2. C++ 2005 (_X86 Version)
  3. NEUSTART!
  4. TWS last Version unter C:\JTS
  5. NEUSTART
  6. aktuelle API V. 969.03 unter C:\JTS (aber nicht neueste Beta 970.01)
Letztendliche Versionen mit denen es bei mir Unter Win7/64 läuft:
  • Win 7 Pro/64
  • RTT 2.10.5
  • TWS Build 936.9h, Jul 18, 2013
  • TWS API 969.03
www.pitsweekly.com

Dieser Beitrag wurde bereits 4 mal editiert, zuletzt von »pit2« (20. September 2013, 13:53)


Bernd

Erleuchteter

Registrierungsdatum: 5. Juni 2005

Beiträge: 3 900

Wohnort: Iringsweg

4

Freitag, 20. September 2013, 13:56

Mal sehr schüchtern, wie ich nun mal von Natur aus bin, angefragt:

was kann einem ausser den minimalren Upgrade Kosten bewegen, heute noch RTT V2 einzusetzen? In den aktuellen V3 Releases sind soviele super Neuerungen drin - und die von Dir beschriebenen Probleme hatte ich so nie!, vielleicht weil ich immer die neuesten Investox- und RTT Versionen einsetze? ...
Gruss
Bernd

-----------------------------------------------
http://www.13quants.ch

Dieser Beitrag wurde bereits 1 mal editiert, zuletzt von »Bernd« (20. September 2013, 14:05)


Investox

Administrator

Registrierungsdatum: 31. August 2002

Beiträge: 5 568

5

Freitag, 20. September 2013, 16:18

Hallo,

was nur die Anbindung an IB betrifft, gibt es wohl eher keinen Unterschied zwischen V2 und V3. Wenn ich es richtig verstanden habe, war es auch eher ein Installations/Versionsproblem von TWS/API.

Viele Grüße
Andreas Knöpfel